import { Common } from 'pc-component-v3';

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * 物料RFID自动识别资源类 
 */
export default {

	/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 保存物料记录信息 
	 */
	saveInventoryInstanceRfidRecord: function(inventoryInstanceDtos, comeIn){
		var requestUrl = "InventoryInstanceRfidRecordResource/saveInventoryInstanceRfidRecord";
		var paramCount = 0;
		if(comeIn != null){
			requestUrl += (paramCount > 0) ? '&' : '?';
			requestUrl += ('comeIn=' + comeIn);
			paramCount ++;
		}


		return new Promise((resolve, reject) => {
			$.ajax({
				url: Common.getApiURL(requestUrl),
				type: "post",
				contentType: "application/json",
				
				dataType: "json",
				data: JSON.stringify(inventoryInstanceDtos),
				
				beforeSend: function(request) {
					Common.addTokenToRequest(request);
				},
				success: function(data) {
					resolve(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					reject(XMLHttpRequest);
				}
			});
		});
	}
}
